RESTinio

Public Member Functions | Public Attributes | List of all members
restinio::impl::connection_settings_details::state_listener_holder_t< Listener > Struct Template Reference

A class for holding actual state listener. More...

`#include <connection_settings.hpp>`

## Public Member Functions
template<typename Settings >
| state_listener_holder_t (const Settings &settings)
template<typename Lambda >
void | call_state_listener (Lambda &&lambda) const
template<typename Lambda >
void | call_state_listener_suppressing_exceptions (Lambda &&lambda) const noexcept

## Public Attributes
std::shared_ptr< Listener > | m_connection_state_listener

## Detailed Description

template<typename Listener>
struct restinio::impl::connection_settings_details::state_listener_holder_t< Listener >

A class for holding actual state listener.

This class holds shared pointer to actual state listener object and provides actual call_state_listener() and call_state_listener_suppressing_exceptions() implementations.

Since
  v.0.5.1

Definition at line 40 of file connection_settings.hpp.

## Constructor & Destructor Documentation

## ◆ state_listener_holder_t()

template<typename Listener >
template<typename Settings >

restinio::impl::connection_settings_details::state_listener_holder_t< Listener >::state_listener_holder_t | ( | const Settings & | settings | ) |
| inline

Definition at line 45 of file connection_settings.hpp.

## Member Function Documentation

## ◆ call_state_listener()

template<typename Listener >
template<typename Lambda >

void restinio::impl::connection_settings_details::state_listener_holder_t< Listener >::call_state_listener | ( | Lambda && | lambda | ) | const
| inline

Definition at line 52 of file connection_settings.hpp.

## ◆ call_state_listener_suppressing_exceptions()

template<typename Listener >
template<typename Lambda >

void restinio::impl::connection_settings_details::state_listener_holder_t< Listener >::call_state_listener_suppressing_exceptions | ( | Lambda && | lambda | ) | const
| inline noexcept

Definition at line 59 of file connection_settings.hpp.

## Member Data Documentation

## ◆ m_connection_state_listener

template<typename Listener >

std::shared_ptr< Listener > restinio::impl::connection_settings_details::state_listener_holder_t< Listener >::m_connection_state_listener

Definition at line 42 of file connection_settings.hpp.

The documentation for this struct was generated from the following file:

- restinio/impl/connection_settings.hpp